<?php

namespace Traits\Validator;

use Helpers\Outil\Outils;

trait Checkbox
{
    /**
     * Vérifie si la value de la checkbox est 'on', alors $value=1, sinon $value=0
     * @param mixed $value
     */
    public static function isCheck(&$value) : bool
    {
        if (isset($value) && $value != '' && $value != '0' && $value !== 'false') {
            $value = 1;
            return true;
        } else {
            $value = 0;
            return false;
        }
    }
}
